@ECHO OFF
SETLOCAL
SET BATDIR=%~dp0
SET OUT_FNAME=%~n1.bin
SET LOG_FNAME=%~n1.log
SET AVI_FNAME=%~dpn1.avi
IF "%2" == "" (SET INTRO_LEN=nil) ELSE (SET INTRO_LEN=%2)

REM //■定型的なLED変換処理を行う、バッチファイルです。
REM //Usage:
REM //  LedConv1.bat ベースファイル名 イントロフレーム数
REM //Example:
REM //  LedConv1.bat AA01_0001    0    … AA01_0001.aviを読み込み、AA01_0001.binとAA01_0001.logを出力する。全体ループ。
REM //  LedConv1.bat BB02_0002  100    … BB02_0002.aviを読み込み、BB02_0002.binとBB02_0002.logを出力する。イントロ+ループ。
REM //  LedConv1.bat CC03_0003   -1    … CC03_0003.aviを読み込み、CC03_0003.binとCC03_0003.logを出力する。最終フレームでステイ。
REM //  LedConv1.bat DD04_0004 -100    … DD04_0004.aviを読み込み、DD04_0004.binとDD04_0004.logを出力する。イントロ+ループ。
REM //  LedConv1.bat EE05_0005         … EE05_0005.aviを読み込み、EE05_0005.binとEE05_0005.logを出力する。ループ無し。

dpavidot.exe ^
 -f %BATDIR%LedConv1.lua ^
 -e LED_FNAME=[[LedSpec.csv]] ^
 -e OUT_FNAME=[[%OUT_FNAME%]] ^
 -e LOG_FNAME=[[%LOG_FNAME%]] ^
 -e INTRO_LEN=%INTRO_LEN% ^
 %AVI_FNAME%

ENDLOCAL
